diff --git a/tests/unit/utils/test_data.py b/tests/unit/utils/test_data.py
index 8fa352321c..8a6956d442 100644
--- a/tests/unit/utils/test_data.py
+++ b/tests/unit/utils/test_data.py
@@ -469,67 +495,71 @@ class DataTestCase(TestCase):
             None,
             _b(EGGS),
             BYTES,
-            [123, 456.789, _b('спам'), True, False, None, _b(EGGS), BYTES],
-            (987, 654.321, _b('яйца'), _b(EGGS), None, (True, _b(EGGS), BYTES)),
+            [123, 456.789, _b("спам"), True, False, None, _b(EGGS), BYTES],
+            (987, 654.321, _b("яйца"), _b(EGGS), None, (True, _b(EGGS), BYTES)),
             {
-                _b('str_key'): _b('str_val'),
+                _b("str_key"): _b("str_val"),
                 None: True,
                 123: 456.789,
                 _b(EGGS): BYTES,
-                _b('subdict'): {
-                    _b('unicode_key'): _b(EGGS),
-                    _b('tuple'): (123, _b('hello'), _b('world'), True, _b(EGGS), BYTES),
-                    _b('list'): [456, _b('спам'), False, _b(EGGS), BYTES]
-                }
+                _b("subdict"): {
+                    _b("unicode_key"): _b(EGGS),
+                    _b("tuple"): (123, _b("hello"), _b("world"), True, _b(EGGS), BYTES),
+                    _b("list"): [456, _b("спам"), False, _b(EGGS), BYTES],
+                },
             },
-            OrderedDict([(_b('foo'), _b('bar')), (123, 456), (_b(EGGS), BYTES)])
+            OrderedDict([(_b("foo"), _b("bar")), (123, 456), (_b(EGGS), BYTES)]),
         ]
 
         # Both keep=True and keep=False should work because the BYTES data is
         # already bytes.
         ret = salt.utils.data.encode(
-            self.test_data,
-            keep=True,
-            preserve_dict_class=True,
-            preserve_tuples=True)
+            self.test_data, keep=True, preserve_dict_class=True, preserve_tuples=True
+        )
         self.assertEqual(ret, expected)
         ret = salt.utils.data.encode(
-            self.test_data,
-            keep=False,
-            preserve_dict_class=True,
-            preserve_tuples=True)
+            self.test_data, keep=False, preserve_dict_class=True, preserve_tuples=True
+        )
         self.assertEqual(ret, expected)
 
         # Now munge the expected data so that we get what we would expect if we
         # disable preservation of dict class and tuples
-        expected[10] = [987, 654.321, _b('яйца'), _b(EGGS), None, [True, _b(EGGS), BYTES]]
-        expected[11][_b('subdict')][_b('tuple')] = [
-            123, _b('hello'), _b('world'), True, _b(EGGS), BYTES
+        expected[10] = [
+            987,
+            654.321,
+            _b("яйца"),
+            _b(EGGS),
+            None,
+            [True, _b(EGGS), BYTES],
         ]
-        expected[12] = {_b('foo'): _b('bar'), 123: 456, _b(EGGS): BYTES}
+        expected[11][_b("subdict")][_b("tuple")] = [
+            123,
+            _b("hello"),
+            _b("world"),
+            True,
+            _b(EGGS),
+            BYTES,
+        ]
+        expected[12] = {_b("foo"): _b("bar"), 123: 456, _b(EGGS): BYTES}
 
         ret = salt.utils.data.encode(
-            self.test_data,
-            keep=True,
-            preserve_dict_class=False,
-            preserve_tuples=False)
+            self.test_data, keep=True, preserve_dict_class=False, preserve_tuples=False
+        )
         self.assertEqual(ret, expected)
         ret = salt.utils.data.encode(
-            self.test_data,
-            keep=False,
-            preserve_dict_class=False,
-            preserve_tuples=False)
+            self.test_data, keep=False, preserve_dict_class=False, preserve_tuples=False
+        )
         self.assertEqual(ret, expected)
 
         # Now test single non-string, non-data-structure items, these should
         # return the same value when passed to this function
         for item in (123, 4.56, True, False, None):
-            log.debug('Testing encode of %s', item)
+            log.debug("Testing encode of %s", item)
             self.assertEqual(salt.utils.data.encode(item), item)
 
         # Test single strings (not in a data structure)
-        self.assertEqual(salt.utils.data.encode('foo'), _b('foo'))
-        self.assertEqual(salt.utils.data.encode(_b('bar')), _b('bar'))
+        self.assertEqual(salt.utils.data.encode("foo"), _b("foo"))
+        self.assertEqual(salt.utils.data.encode(_b("bar")), _b("bar"))
 
         # Test binary blob, nothing should happen even when keep=False since
         # the data is already bytes
@@ -537,41 +567,43 @@ class DataTestCase(TestCase):
         self.assertEqual(salt.utils.data.encode(BYTES, keep=False), BYTES)
 
     def test_encode_keep(self):
-        '''
+        """
         Whereas we tested the keep argument in test_decode, it is much easier
         to do a more comprehensive test of keep in its own function where we
         can force the encoding.
-        '''
-        unicode_str = 'питон'
-        encoding = 'ascii'
+        """
+        unicode_str = "питон"
+        encoding = "ascii"
 
         # Test single string
         self.assertEqual(
-            salt.utils.data.encode(unicode_str, encoding, keep=True),
-            unicode_str)
+            salt.utils.data.encode(unicode_str, encoding, keep=True), unicode_str
+        )
         self.assertRaises(
             UnicodeEncodeError,
             salt.utils.data.encode,
             unicode_str,
             encoding,
-            keep=False)
+            keep=False,
+        )
 
         data = [
             unicode_str,
-            [b'foo', [unicode_str], {b'key': unicode_str}, (unicode_str,)],
-            {b'list': [b'foo', unicode_str],
-             b'dict': {b'key': unicode_str},
-             b'tuple': (b'foo', unicode_str)},
-            ([b'foo', unicode_str], {b'key': unicode_str}, (unicode_str,))
+            [b"foo", [unicode_str], {b"key": unicode_str}, (unicode_str,)],
+            {
+                b"list": [b"foo", unicode_str],
+                b"dict": {b"key": unicode_str},
+                b"tuple": (b"foo", unicode_str),
+            },
+            ([b"foo", unicode_str], {b"key": unicode_str}, (unicode_str,)),
         ]
 
         # Since everything was a bytestring aside from the bogus data, the
         # return data should be identical. We don't need to test recursive
         # decoding, that has already been tested in test_encode.
         self.assertEqual(
-            salt.utils.data.encode(data, encoding,
-                                   keep=True, preserve_tuples=True),
-            data
+            salt.utils.data.encode(data, encoding, keep=True, preserve_tuples=True),
+            data,
         )
         self.assertRaises(
             UnicodeEncodeError,
@@ -579,13 +611,15 @@ class DataTestCase(TestCase):
             data,
             encoding,
             keep=False,
-            preserve_tuples=True)
+            preserve_tuples=True,
+        )
 
         for index, _ in enumerate(data):
             self.assertEqual(
-                salt.utils.data.encode(data[index], encoding,
-                                       keep=True, preserve_tuples=True),
-                data[index]
+                salt.utils.data.encode(
+                    data[index], encoding, keep=True, preserve_tuples=True
+                ),
+                data[index],
             )
             self.assertRaises(
                 UnicodeEncodeError,
@@ -593,31 +627,36 @@ class DataTestCase(TestCase):
                 data[index],
                 encoding,
                 keep=False,
-                preserve_tuples=True)
+                preserve_tuples=True,
+            )
 
     def test_encode_fallback(self):
-        '''
+        """
         Test fallback to utf-8
-        '''
-        with patch.object(builtins, '__salt_system_encoding__', 'ascii'):
-            self.assertEqual(salt.utils.data.encode('яйца'), _b('яйца'))
-        with patch.object(builtins, '__salt_system_encoding__', 'CP1252'):
-            self.assertEqual(salt.utils.data.encode('Ψ'), _b('Ψ'))
+        """
+        with patch.object(builtins, "__salt_system_encoding__", "ascii"):
+            self.assertEqual(salt.utils.data.encode("яйца"), _b("яйца"))
+        with patch.object(builtins, "__salt_system_encoding__", "CP1252"):
+            self.assertEqual(salt.utils.data.encode("Ψ"), _b("Ψ"))
 
     def test_repack_dict(self):
-        list_of_one_element_dicts = [{'dict_key_1': 'dict_val_1'},
-                                     {'dict_key_2': 'dict_val_2'},
-                                     {'dict_key_3': 'dict_val_3'}]
-        expected_ret = {'dict_key_1': 'dict_val_1',
-                        'dict_key_2': 'dict_val_2',
-                        'dict_key_3': 'dict_val_3'}
+        list_of_one_element_dicts = [
+            {"dict_key_1": "dict_val_1"},
+            {"dict_key_2": "dict_val_2"},
+            {"dict_key_3": "dict_val_3"},
+        ]
+        expected_ret = {
+            "dict_key_1": "dict_val_1",
+            "dict_key_2": "dict_val_2",
+            "dict_key_3": "dict_val_3",
+        }
         ret = salt.utils.data.repack_dictlist(list_of_one_element_dicts)
         self.assertDictEqual(ret, expected_ret)
 
         # Try with yaml
-        yaml_key_val_pair = '- key1: val1'
+        yaml_key_val_pair = "- key1: val1"
         ret = salt.utils.data.repack_dictlist(yaml_key_val_pair)
-        self.assertDictEqual(ret, {'key1': 'val1'})
+        self.assertDictEqual(ret, {"key1": "val1"})
 
         # Make sure we handle non-yaml junk data
         ret = salt.utils.data.repack_dictlist(LOREM_IPSUM)
@@ -626,43 +665,47 @@ class DataTestCase(TestCase):
     def test_stringify(self):
         self.assertRaises(TypeError, salt.utils.data.stringify, 9)
         self.assertEqual(
-            salt.utils.data.stringify(['one', 'two', str('three'), 4, 5]),  # future lint: disable=blacklisted-function
-            ['one', 'two', 'three', '4', '5']
+            salt.utils.data.stringify(
+                ["one", "two", "three", 4, 5]
+            ),  # future lint: disable=blacklisted-function
+            ["one", "two", "three", "4", "5"],
         )
 
     def test_json_query(self):
         # Raises exception if jmespath module is not found
-        with patch('salt.utils.data.jmespath', None):
+        with patch("salt.utils.data.jmespath", None):
             self.assertRaisesRegex(
-                RuntimeError, 'requires jmespath',
-                salt.utils.data.json_query, {}, '@'
+                RuntimeError, "requires jmespath", salt.utils.data.json_query, {}, "@"
             )
 
         # Test search
         user_groups = {
-            'user1': {'groups': ['group1', 'group2', 'group3']},
-            'user2': {'groups': ['group1', 'group2']},
-            'user3': {'groups': ['group3']},
+            "user1": {"groups": ["group1", "group2", "group3"]},
+            "user2": {"groups": ["group1", "group2"]},
+            "user3": {"groups": ["group3"]},
         }
-        expression = '*.groups[0]'
-        primary_groups = ['group1', 'group1', 'group3']
+        expression = "*.groups[0]"
+        primary_groups = ["group1", "group1", "group3"]
         self.assertEqual(
-            sorted(salt.utils.data.json_query(user_groups, expression)),
-            primary_groups
+            sorted(salt.utils.data.json_query(user_groups, expression)), primary_groups
         )
 
 
 class FilterFalseyTestCase(TestCase):
-    '''
+    """
     Test suite for salt.utils.data.filter_falsey
-    '''
+    """
 
     def test_nop(self):
-        '''
+        """
         Test cases where nothing will be done.
-        '''
+        """
         # Test with dictionary without recursion
-        old_dict = {'foo': 'bar', 'bar': {'baz': {'qux': 'quux'}}, 'baz': ['qux', {'foo': 'bar'}]}
+        old_dict = {
+            "foo": "bar",
+            "bar": {"baz": {"qux": "quux"}},
+            "baz": ["qux", {"foo": "bar"}],
+        }
         new_dict = salt.utils.data.filter_falsey(old_dict)
         self.assertEqual(old_dict, new_dict)
         # Check returned type equality
@@ -671,23 +714,25 @@ class FilterFalseyTestCase(TestCase):
         new_dict = salt.utils.data.filter_falsey(old_dict, recurse_depth=3)
         self.assertEqual(old_dict, new_dict)
         # Test with list
-        old_list = ['foo', 'bar']
+        old_list = ["foo", "bar"]
         new_list = salt.utils.data.filter_falsey(old_list)
         self.assertEqual(old_list, new_list)
         # Check returned type equality
         self.assertIs(type(old_list), type(new_list))
         # Test with set
-        old_set = set(['foo', 'bar'])
+        old_set = {"foo", "bar"}
         new_set = salt.utils.data.filter_falsey(old_set)
         self.assertEqual(old_set, new_set)
         # Check returned type equality
         self.assertIs(type(old_set), type(new_set))
         # Test with OrderedDict
-        old_dict = OrderedDict([
-            ('foo', 'bar'),
-            ('bar', OrderedDict([('qux', 'quux')])),
-            ('baz', ['qux', OrderedDict([('foo', 'bar')])])
-        ])
+        old_dict = OrderedDict(
+            [
+                ("foo", "bar"),
+                ("bar", OrderedDict([("qux", "quux")])),
+                ("baz", ["qux", OrderedDict([("foo", "bar")])]),
+            ]
+        )
         new_dict = salt.utils.data.filter_falsey(old_dict)
         self.assertEqual(old_dict, new_dict)
         self.assertIs(type(old_dict), type(new_dict))
@@ -696,8 +741,8 @@ class FilterFalseyTestCase(TestCase):
         new_list = salt.utils.data.filter_falsey(old_list, ignore_types=[type(0)])
         self.assertEqual(old_list, new_list)
         # Test excluding str (or unicode) (or both)
-        old_list = ['']
-        new_list = salt.utils.data.filter_falsey(old_list, ignore_types=[type('')])
+        old_list = [""]
+        new_list = salt.utils.data.filter_falsey(old_list, ignore_types=[type("")])
         self.assertEqual(old_list, new_list)
         # Test excluding list
         old_list = [[]]
@@ -709,185 +754,264 @@ class FilterFalseyTestCase(TestCase):
         self.assertEqual(old_list, new_list)
 
     def test_filter_dict_no_recurse(self):
-        '''
+        """
         Test filtering a dictionary without recursing.
         This will only filter out key-values where the values are falsey.
-        '''
-        old_dict = {'foo': None,
-                    'bar': {'baz': {'qux': None, 'quux': '', 'foo': []}},
-                    'baz': ['qux'],
-                    'qux': {},
-                    'quux': []}
+        """
+        old_dict = {
+            "foo": None,
+            "bar": {"baz": {"qux": None, "quux": "", "foo": []}},
+            "baz": ["qux"],
+            "qux": {},
+            "quux": [],
+        }
         new_dict = salt.utils.data.filter_falsey(old_dict)
-        expect_dict = {'bar': {'baz': {'qux': None, 'quux': '', 'foo': []}}, 'baz': ['qux']}
+        expect_dict = {
+            "bar": {"baz": {"qux": None, "quux": "", "foo": []}},
+            "baz": ["qux"],
+        }
         self.assertEqual(expect_dict, new_dict)
         self.assertIs(type(expect_dict), type(new_dict))
 
     def test_filter_dict_recurse(self):
-        '''
+        """
         Test filtering a dictionary with recursing.
         This will filter out any key-values where the values are falsey or when
         the values *become* falsey after filtering their contents (in case they
         are lists or dicts).
-        '''
-        old_dict = {'foo': None,
-                    'bar': {'baz': {'qux': None, 'quux': '', 'foo': []}},
-                    'baz': ['qux'],
-                    'qux': {},
-                    'quux': []}
+        """
+        old_dict = {
+            "foo": None,
+            "bar": {"baz": {"qux": None, "quux": "", "foo": []}},
+            "baz": ["qux"],
+            "qux": {},
+            "quux": [],
+        }
         new_dict = salt.utils.data.filter_falsey(old_dict, recurse_depth=3)
-        expect_dict = {'baz': ['qux']}
+        expect_dict = {"baz": ["qux"]}
         self.assertEqual(expect_dict, new_dict)
         self.assertIs(type(expect_dict), type(new_dict))
 
     def test_filter_list_no_recurse(self):
-        '''
+        """
         Test filtering a list without recursing.
         This will only filter out items which are falsey.
-        '''
-        old_list = ['foo', None, [], {}, 0, '']
+        """
+        old_list = ["foo", None, [], {}, 0, ""]
         new_list = salt.utils.data.filter_falsey(old_list)
-        expect_list = ['foo']
+        expect_list = ["foo"]
         self.assertEqual(expect_list, new_list)
         self.assertIs(type(expect_list), type(new_list))
         # Ensure nested values are *not* filtered out.
         old_list = [
-            'foo',
-            ['foo'],
-            ['foo', None],
-            {'foo': 0},
-            {'foo': 'bar', 'baz': []},
-            [{'foo': ''}],
+            "foo",
+            ["foo"],
+            ["foo", None],
+            {"foo": 0},
+            {"foo": "bar", "baz": []},
+            [{"foo": ""}],
         ]
         new_list = salt.utils.data.filter_falsey(old_list)
         self.assertEqual(old_list, new_list)
         self.assertIs(type(old_list), type(new_list))
 
     def test_filter_list_recurse(self):
-        '''
+        """
         Test filtering a list with recursing.
         This will filter out any items which are falsey, or which become falsey
         after filtering their contents (in case they are lists or dicts).
-        '''
+        """
         old_list = [
-            'foo',
-            ['foo'],
-            ['foo', None],
-            {'foo': 0},
-            {'foo': 'bar', 'baz': []},
-            [{'foo': ''}]
+            "foo",
+            ["foo"],
+            ["foo", None],
+            {"foo": 0},
+            {"foo": "bar", "baz": []},
+            [{"foo": ""}],
         ]
         new_list = salt.utils.data.filter_falsey(old_list, recurse_depth=3)
-        expect_list = ['foo', ['foo'], ['foo'], {'foo': 'bar'}]
+        expect_list = ["foo", ["foo"], ["foo"], {"foo": "bar"}]
         self.assertEqual(expect_list, new_list)
         self.assertIs(type(expect_list), type(new_list))
 
     def test_filter_set_no_recurse(self):
-        '''
+        """
         Test filtering a set without recursing.
         Note that a set cannot contain unhashable types, so recursion is not possible.
-        '''
-        old_set = set([
-            'foo',
-            None,
-            0,
-            '',
-        ])
+        """
+        old_set = {"foo", None, 0, ""}
         new_set = salt.utils.data.filter_falsey(old_set)
-        expect_set = set(['foo'])
+        expect_set = {"foo"}
         self.assertEqual(expect_set, new_set)
         self.assertIs(type(expect_set), type(new_set))
 
     def test_filter_ordereddict_no_recurse(self):
-        '''
+        """
         Test filtering an OrderedDict without recursing.
-        '''
-        old_dict = OrderedDict([
-            ('foo', None),
-            ('bar', OrderedDict([('baz', OrderedDict([('qux', None), ('quux', ''), ('foo', [])]))])),
-            ('baz', ['qux']),
-            ('qux', {}),
-            ('quux', [])
-        ])
+        """
+        old_dict = OrderedDict(
+            [
+                ("foo", None),
+                (
+                    "bar",
+                    OrderedDict(
+                        [
+                            (
+                                "baz",
+                                OrderedDict([("qux", None), ("quux", ""), ("foo", [])]),
+                            )
+                        ]
+                    ),
+                ),
+                ("baz", ["qux"]),
+                ("qux", {}),
+                ("quux", []),
+            ]
+        )
         new_dict = salt.utils.data.filter_falsey(old_dict)
-        expect_dict = OrderedDict([
-            ('bar', OrderedDict([('baz', OrderedDict([('qux', None), ('quux', ''), ('foo', [])]))])),
-            ('baz', ['qux']),
-        ])
+        expect_dict = OrderedDict(
+            [
+                (
+                    "bar",
+                    OrderedDict(
+                        [
+                            (
+                                "baz",
+                                OrderedDict([("qux", None), ("quux", ""), ("foo", [])]),
+                            )
+                        ]
+                    ),
+                ),
+                ("baz", ["qux"]),
+            ]
+        )
         self.assertEqual(expect_dict, new_dict)
         self.assertIs(type(expect_dict), type(new_dict))
 
     def test_filter_ordereddict_recurse(self):
-        '''
+        """
         Test filtering an OrderedDict with recursing.
-        '''
-        old_dict = OrderedDict([
-            ('foo', None),
-            ('bar', OrderedDict([('baz', OrderedDict([('qux', None), ('quux', ''), ('foo', [])]))])),
-            ('baz', ['qux']),
-            ('qux', {}),
-            ('quux', [])
-        ])
+        """
+        old_dict = OrderedDict(
+            [
+                ("foo", None),
+                (
+                    "bar",
+                    OrderedDict(
+                        [
+                            (
+                                "baz",
+                                OrderedDict([("qux", None), ("quux", ""), ("foo", [])]),
+                            )
+                        ]
+                    ),
+                ),
+                ("baz", ["qux"]),
+                ("qux", {}),
+                ("quux", []),
+            ]
+        )
         new_dict = salt.utils.data.filter_falsey(old_dict, recurse_depth=3)
-        expect_dict = OrderedDict([
-            ('baz', ['qux']),
-        ])
+        expect_dict = OrderedDict([("baz", ["qux"])])
         self.assertEqual(expect_dict, new_dict)
         self.assertIs(type(expect_dict), type(new_dict))
 
     def test_filter_list_recurse_limit(self):
-        '''
+        """
         Test filtering a list with recursing, but with a limited depth.
         Note that the top-level is always processed, so a recursion depth of 2
         means that two *additional* levels are processed.
-        '''
+        """
         old_list = [None, [None, [None, [None]]]]
         new_list = salt.utils.data.filter_falsey(old_list, recurse_depth=2)
         self.assertEqual([[[[None]]]], new_list)
 
     def test_filter_dict_recurse_limit(self):
-        '''
+        """
         Test filtering a dict with recursing, but with a limited depth.
         Note that the top-level is always processed, so a recursion depth of 2
         means that two *additional* levels are processed.
-        '''
-        old_dict = {'one': None,
-                    'foo': {'two': None, 'bar': {'three': None, 'baz': {'four': None}}}}
+        """
+        old_dict = {
+            "one": None,
+            "foo": {"two": None, "bar": {"three": None, "baz": {"four": None}}},
+        }
         new_dict = salt.utils.data.filter_falsey(old_dict, recurse_depth=2)
-        self.assertEqual({'foo': {'bar': {'baz': {'four': None}}}}, new_dict)
+        self.assertEqual({"foo": {"bar": {"baz": {"four": None}}}}, new_dict)
 
     def test_filter_exclude_types(self):
-        '''
+        """
         Test filtering a list recursively, but also ignoring (i.e. not filtering)
         out certain types that can be falsey.
-        '''
+        """
         # Ignore int, unicode
-        old_list = ['foo', ['foo'], ['foo', None], {'foo': 0}, {'foo': 'bar', 'baz': []}, [{'foo': ''}]]
-        new_list = salt.utils.data.filter_falsey(old_list, recurse_depth=3, ignore_types=[type(0), type('')])
-        self.assertEqual(['foo', ['foo'], ['foo'], {'foo': 0}, {'foo': 'bar'}, [{'foo': ''}]], new_list)
+        old_list = [
+            "foo",
+            ["foo"],
+            ["foo", None],
+            {"foo": 0},
+            {"foo": "bar", "baz": []},
+            [{"foo": ""}],
+        ]
+        new_list = salt.utils.data.filter_falsey(
+            old_list, recurse_depth=3, ignore_types=[type(0), type("")]
+        )
+        self.assertEqual(
+            ["foo", ["foo"], ["foo"], {"foo": 0}, {"foo": "bar"}, [{"foo": ""}]],
+            new_list,
+        )
         # Ignore list
-        old_list = ['foo', ['foo'], ['foo', None], {'foo': 0}, {'foo': 'bar', 'baz': []}, [{'foo': ''}]]
-        new_list = salt.utils.data.filter_falsey(old_list, recurse_depth=3, ignore_types=[type([])])
-        self.assertEqual(['foo', ['foo'], ['foo'], {'foo': 'bar', 'baz': []}, []], new_list)
+        old_list = [
+            "foo",
+            ["foo"],
+            ["foo", None],
+            {"foo": 0},
+            {"foo": "bar", "baz": []},
+            [{"foo": ""}],
+        ]
+        new_list = salt.utils.data.filter_falsey(
+            old_list, recurse_depth=3, ignore_types=[type([])]
+        )
+        self.assertEqual(
+            ["foo", ["foo"], ["foo"], {"foo": "bar", "baz": []}, []], new_list
+        )
         # Ignore dict
-        old_list = ['foo', ['foo'], ['foo', None], {'foo': 0}, {'foo': 'bar', 'baz': []}, [{'foo': ''}]]
-        new_list = salt.utils.data.filter_falsey(old_list, recurse_depth=3, ignore_types=[type({})])
-        self.assertEqual(['foo', ['foo'], ['foo'], {}, {'foo': 'bar'}, [{}]], new_list)
+        old_list = [
+            "foo",
+            ["foo"],
+            ["foo", None],
+            {"foo": 0},
+            {"foo": "bar", "baz": []},
+            [{"foo": ""}],
+        ]
+        new_list = salt.utils.data.filter_falsey(
+            old_list, recurse_depth=3, ignore_types=[type({})]
+        )
+        self.assertEqual(["foo", ["foo"], ["foo"], {}, {"foo": "bar"}, [{}]], new_list)
         # Ignore NoneType
-        old_list = ['foo', ['foo'], ['foo', None], {'foo': 0}, {'foo': 'bar', 'baz': []}, [{'foo': ''}]]
-        new_list = salt.utils.data.filter_falsey(old_list, recurse_depth=3, ignore_types=[type(None)])
-        self.assertEqual(['foo', ['foo'], ['foo', None], {'foo': 'bar'}], new_list)
+        old_list = [
+            "foo",
+            ["foo"],
+            ["foo", None],
+            {"foo": 0},
+            {"foo": "bar", "baz": []},
+            [{"foo": ""}],
+        ]
+        new_list = salt.utils.data.filter_falsey(
+            old_list, recurse_depth=3, ignore_types=[type(None)]
+        )
+        self.assertEqual(["foo", ["foo"], ["foo", None], {"foo": "bar"}], new_list)
 
 
 class FilterRecursiveDiff(TestCase):
-    '''
+    """
     Test suite for salt.utils.data.recursive_diff
-    '''
+    """
 
     def test_list_equality(self):
-        '''
+        """
         Test cases where equal lists are compared.
-        '''
+        """
         test_list = [0, 1, 2]
         self.assertEqual({}, salt.utils.data.recursive_diff(test_list, test_list))
 
